#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

  camera
  {
     	location <10, 0, -25>
	look_at  <0, 9, -1>
  }

  light_source
  {
	<0, 11, 0>
	color rgb <1.5, 1.5, 1.5>
  }
  
  plane
  {
   y, -1
   pigment
	{ 
	  marble
	  color_map
		{
		  [0.0 color rgbf <.2, 1, 1, 0.0> ]
		  [1.0 color rgbf <.8, 1, 1, 0.0> ]
		}
	  turbulence 1.5 lambda 1.5 omega 0.75 octaves 8 
	  //normal {bumps 0.2 scale 0.2 }
   	}
   finish
	{
//	  ambient 0.2
//	  diffuse .8
 	  reflection 0.2
	}
  }
 
  sphere 
  {
    <-4, 18, 4>, 3
    pigment 
	{
	 image_map
	   {
		gif "image01.gif" 
		map_type 0
		interpolate 2
	   }
	// turbulence .7
	 scale 4
	//rotate <8, -3, 0>
	}

    finish
	{
	  phong 0.7
	  reflection .4
 	  ambient .6
	  diffuse .8
	}
  }

  
  
  disc
  {
   <0, 15, 10>, <0,0, -1>, 17
 
    pigment 
	{
	  image_map 
		{
		  gif "image02.gif"
		  map_type 0
		  interpolate 2
		}
	  scale 30
	  translate <-10, 2. 0>
	}  
    finish 
	{
	  phong .2
	  reflection .4
	  ambient .4
	  diffuse .4
         }
   }
	  



